<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * Pharm App
 * Seed controller
 * 
 * @category   Controller
 * @package    Seed
 * @author     Daniel Ekweani <dnishe@yahoo.com>
 * @copyright  Copyright © 2018 Paragon Solutions.
 * @version    1.0.0
 * @since      File available since Release 1.0.0
 */



class Seed extends CI_Controller {


	
	/**
     * Migration function to migrate database
     **/
    var $all_perms;


    public function __construct()
    {
    	parent::__construct();
    	
    	$this->ci =& get_instance();
        $this->ci->load->model('basic_model', 'basic');

        $this->storeid = $storeid =  random_string('numeric', 12);
    	
    }


	/**
     * Migration function to migrate database
     *
     * @return void
     * @author 
     **/
	public function seed_super_admin()
    {
            //$this->load->model('basic_model');

            $user_data = [
                        'storeid' 		=> 'Phantom',
                        'staffid' => 'ALMIGHTY',
                        'username' => 'administrator',
                        'email' 	=> 'dnishe@yahoo.com',
                        'password' 	=> sha1('pass'),
                        'status' 	=> 1,
                        'fullname' =>'Super Administrator',
                        'privileges' => 'god',
                        
                        'createdby' => 'Super Administrator',
                        'datecreated' => date('Y-m-d h:i:s'),
                    ];

            $id = $this->basic->add('tbl_users', $user_data, true);
            if($id)
            {
            	  
  				echo "Successful! User added successfully.<br />";
            }
            else
            {
                echo "There was a problem processng your request. <br /> ";
            }
    }



        /**
     * Migration function to migrate database
     *
     * @return void
     * @author 
     **/
    public function seed_admin()
    {
            //$this->load->model('basic_model');

            $user_data = [
                        'storeid'       => $this->storeid,
                        'staffid' => 'xmeninthehouse',
                        'username' => 'admin',
                        'email'     => 'admin@admin.com',
                        'password'  => sha1('admin'),
                        'status'    => 1,
                        'fullname' =>'Admin Manager',
                        'privileges' => 'SUPERADMIN',
                        
                        'createdby' => 'Super Administrator',
                        'datecreated' => date('Y-m-d h:i:s'),
                    ];

            $id = $this->basic->add('tbl_users', $user_data, true);
            if($id)
            {
                  
                echo "Successful! User added successfully.<br /> username: admin  <br />password: admin <br /> <a href='".site_url()."'> Login Now </a>";
            }
            else
            {
                echo "There was a problem processng your request. <br /> ";
            }
    }



 
    public function seed_store()
    {
        
         $store_data = ['storeid'=>$this->storeid, 'storename'=>'OMNI PHARM 1', 'address'=>'agbani road', 'phone'=>'080' ];
         $this->basic->add('tbl_settings', $store_data);
    }



    /**
     * undocumented function
     *
     * @return void
     * @author 
     **/
    public function run()
    {
    	$this->seed_store();
        $this->seed_super_admin();
        $this->seed_admin();

    	echo "Successful! Seeding completed. <br> ";
    }


}

/* End of file Seed.php */
/* Location: ./application/controllers/Seed.php */