<?php
defined('BASEPATH') OR exit('No direct script access allowed');
/**
 * Pharm App
 * Basic Model....
 * 
 * @category   Model
 * @package    Basic MOdel
 * @author     Daniel Ekweani <dnishe@yahoo.com>
 * @copyright  Copyright © 2018 Paragon Solutions.
 * @version    1.0.0
 * @since      File available since Release 1.0.0
 */

class Basic extends CI_Model {

    function add_records($db, $data)
    {
        return $this->db->insert($db, $data);
        
    }
  
    
    function update_any_record($table, $id, $data, $where)
    {
        $this->db->where($where, $id);
        return $this->db->update($table, $data);
        
    }


   function save($table, $data, $where=NULL) {
        
        //INSERT
        if ($where === NULL) {
             
            $this->db->set($data);
            $this->db->insert($table);
            return $this->db->insert_id();
        }
        //UPDATE
        else {
            
            return  $this->db->update($table, $data, $where);
        }
        
    }

    
    function deletes($table, $where)
    {
         if(empty($table)){
            return false;
        }
        $this->db->where($where);
        $this->db->delete($table);
        

    }
    function delete_any_rows($from, $table, $where)
    {
        $this->db->where($from, $where);
        $this->db->delete($table);
    }
    
 /*
     * add
     * 
     * @access public 
     */
    public function add($table, $data, $id=false){

        if(empty($data) OR empty($table)){
            return false;
        }

        $q = $this->db->insert($table, $data);

        if($id){
            return $this->db->insert_id();
        }
        else{
             return $q;
        }
                
    }// End func


    /*
     * edit/update
     * 
     * @access public 
     */
    public function update($table, $data, $where)
    {

        if(empty($data) OR empty($table)){
            return false;
        }
        
        $q = $this->db->update($table, $data, $where);
        return $q;

        
    }// End func




    /*
     * edit/update
     * 
     * @access public 
     */
    public function iupdate($table, $data, $data1)
    {

        if(empty($data) OR empty($table)){
            return false;
        }
        //'votes', 'votes+1', FALSE


        
        $this->db->set($data, $data1, FALSE);
        $q = $this->db->update($table);
        return $q;

        
    }// End func


     /*
     * edit/update
     * 
     * @access public 
     */
    public function iupdate_where($table, $data, $data1, $where)
    {

        if(empty($data) OR empty($table)){
            return false;
        }
        //'votes', 'votes+1', FALSE

        $this->db->where($where);
        
        $this->db->set($data, $data1, FALSE);
        $q = $this->db->update($table);
        return $q;

        
    }// End func




      /*
     * Get one
     * 
     * @access public 
     * @param  $params
     * @return mixed (bool | array)
     */
    public function get_one($table, $where=Null){

        if(empty($table)){
            return false;
        }
        
        $res = $this->db->get_where($table, $where);
        return $res->row();
        
    }// End func get


      /*
     * Get one
     * 
     * @access public 
     * @param  $params
     * @return mixed (bool | array)
     */
    public function get_one_limit($table, $where=Null, $limit){

        if(empty($table)){
            return false;
        }
        $this->db->limit($limit);
        $res = $this->db->get_where($table, $where);

        return $res->result();
        
    }// End func get


  /*
     * Get one
     * 
     * @access public 
     * @param  $params
     * @return mixed (bool | array)
     */
    public function get_one_limit_random($table, $where=Null, $limit){

        if(empty($table)){
            return false;
        }
        $this->db->order_by('user_id', 'RANDOM');
        $this->db->limit($limit);
        $res = $this->db->get_where($table, $where);

        return $res->result();
        
    }// End func get



  /*
     * Get one
     * 
     * @access public 
     * @param  $params
     * @return mixed (bool | array)
     */
    public function get_one_order($table, $where=Null, $order){

        if(empty($table)){
            return false;
        }
        $this->db->order_by($order, 'DESC');
        
        $res = $this->db->get_where($table, $where);

        return $res->row();
        
    }// End func get



  /*
     * Get one
     * 
     * @access public 
     * @param  $params
     * @return mixed (bool | array)
     */
    public function get_many_order($table, $where=Null, $order){

        if(empty($table)){
            return false;
        }
        $this->db->order_by($order, 'DESC');
        
        $res = $this->db->get_where($table, $where);

        return $res->result();
        
    }// End func get




    /*
     * Get many
     * 
     * @access public 
     * @param  $params
     * @return mixed (bool | array)
     */
    public function get_many($table, $where=Null){

        if(empty($table)){
            return false;
        }
        
        $res = $this->db->get_where($table, $where);
        return $res->result();
        
    }// End func get


    /*
     * Get many
     * 
     * @access public 
     * @param  $params
     * @return mixed (bool | array)
     */
    public function get_many_by($table, $where=Null, $by){

        if(empty($table)){
            return false;
        }
        $this->db->order_by($by, 'desc');
        $res = $this->db->get_where($table, $where);
        return $res->result();
        
    }// End func get



        /*
     * Get many
     * 
     * @access public 
     * @param  $params
     * @return mixed (bool | array)
     */
    public function get_group($table, $group){

        if(empty($table)){
            return false;
        }
        $this->db->group_by($group);
        $res = $this->db->get_where($table);
        return $res->result();
        
    }// End func get


     /*
     * Get last
     * 
     * @access public 
     * @param  $params
     * @return mixed (bool | array)
     */
    public function get_last($table, $where=Null, $by){

        if(empty($table)){
            return false;
        }
        $this->db->order_by($by, 'desc');
        $res = $this->db->get_where($table, $where);
        return $res->row();
        
    }// End func get



    public function send_mail($to, $subject, $message)
    {
        $this->load->library('email');
        $config['protocol'] = 'sendmail';
        $config['mailpath'] = '/usr/sbin/sendmail';
        $config['charset'] = 'iso-8859-1';
        $config['wordwrap'] = TRUE;
        
        /* Configur With Mail Client of Host  */
        $config['smtp_host'] = "mail.kashbackup.pro";
        $config['smtp_port'] = 465;
        $config['smtp_user'] = "info@kashbackup.pro";
        $config['smtp_pass'] = "@mail2016";

        $config['mailtype'] = 'html';
        $config['charset'] = 'iso-8859-1';
        
        $this->email->initialize($config);

        $this->email->from("info@kashbackup.pro", "KASH BACKUP ADMIN");
        $this->email->to($to);
        $this->email->subject($subject);
        
        $mail = "<html><head></head><body><div style='width:60%; height:auto; border:1px solid #09f; border-radius:10px; padding:10px;'><h3 style='color:#09f;'>".$subject."</h3>".$message."</div></body></html>";
        $this->email->message($mail);
        $this->email->send();

    }


     

}

/* End of file db.php */
/* Location: ./application/models/db.php */