/*!
 * Bracket Plus v1.1.0 (https://themetrace.com/bracketplus)
 * Copyright 2017-2018 ThemePixels
 * Licensed under ThemeForest License
 */

 'use strict';

 $(document).ready(function(){

  // This will collapsed sidebar menu on left into a mini icon menu
  $('#btnLeftMenu').on('click', function(){
    var menuText = $('.menu-item-label');

    if($('body').hasClass('collapsed-menu')) {
      $('body').removeClass('collapsed-menu');

      // show current sub menu when reverting back from collapsed menu
      $('.show-sub + .br-menu-sub').slideDown();

      $('.br-sideleft').one('transitionend', function(e) {
        menuText.removeClass('op-lg-0-force');
        menuText.removeClass('d-lg-none');
      });

    } else {
      $('body').addClass('collapsed-menu');

      // hide toggled sub menu
      $('.show-sub + .br-menu-sub').slideUp();

      menuText.addClass('op-lg-0-force');
      $('.br-sideleft').one('transitionend', function(e) {
        menuText.addClass('d-lg-none');
      });
    }
    return false;
  });



  // This will expand the icon menu when mouse cursor points anywhere
  // inside the sidebar menu on left. This will only trigget to left sidebar
  // when it's in collapsed mode (the icon only menu)
  $(document).on('mouseover', function(e){
    e.stopPropagation();

    if($('body').hasClass('collapsed-menu') && $('#btnLeftMenu').is(':visible')) {
      var targ = $(e.target).closest('.br-sideleft').length;
      if(targ) {
        $('body').addClass('expand-menu');

        // show current shown sub menu that was hidden from collapsed
        $('.show-sub + .br-menu-sub').slideDown();

        var menuText = $('.menu-item-label');
        menuText.removeClass('d-lg-none');
        menuText.removeClass('op-lg-0-force');

      } else {
        $('body').removeClass('expand-menu');

        // hide current shown menu
        $('.show-sub + .br-menu-sub').slideUp();

        var menuText = $('.menu-item-label');
        menuText.addClass('op-lg-0-force');
        menuText.addClass('d-lg-none');
      }
    }
  });



  // This will show sub navigation menu on left sidebar
  // only when that top level menu have a sub menu on it.
  $('.br-sideleft').on('click', '.br-menu-link', function(){
    var nextElem = $(this).next();
    var thisLink = $(this);

    if(nextElem.hasClass('br-menu-sub')) {

      if(nextElem.is(':visible')) {
        thisLink.removeClass('show-sub');
        nextElem.slideUp();
      } else {
        $('.br-menu-link').each(function(){
          $(this).removeClass('show-sub');
        });

        $('.br-menu-sub').each(function(){
          $(this).slideUp();
        });

        thisLink.addClass('show-sub');
        nextElem.slideDown();
      }
      return false;
    }
  });



  // This will trigger only when viewed in small devices
  // #btnLeftMenuMobile element is hidden in desktop but
  // visible in mobile. When clicked the left sidebar menu
  // will appear pushing the main content.
  $('#btnLeftMenuMobile').on('click', function(){
    $('body').addClass('show-left');
    return false;
  });



  // This is the right menu icon when it's clicked, the
  // right sidebar will appear that contains the four tab menu
  $('#btnRightMenu').on('click', function(){
    $('body').addClass('show-right');
    return false;
  });



  // This will hide sidebar when it's clicked outside of it
  $(document).on('click touchstart', function(e){
    e.stopPropagation();

    // closing left sidebar
    if($('body').hasClass('show-left')) {
      var targ = $(e.target).closest('.br-sideleft').length;
      if(!targ) {
        $('body').removeClass('show-left');
      }
    }

    // closing right sidebar
    if($('body').hasClass('show-right')) {
      var targ = $(e.target).closest('.br-sideright').length;
      if(!targ) {
        $('body').removeClass('show-right');
      }
    }
  });



  // displaying time and date in right sidebar
  var interval = setInterval(function() {
    var momentNow = moment();
    $('#brDate').html(momentNow.format('MMMM DD, YYYY') + ' '
      + momentNow.format('dddd')
      .substring(0,3).toUpperCase());
      $('#brTime').html(momentNow.format('hh:mm:ss A'));
  }, 100);

  // Datepicker
  if($().datepicker) {
    $('.form-control-datepicker').datepicker()
      .on("change", function (e) {
        console.log("Date changed: ", e.target.value);
    });
  }



  // custom scrollbar style
  $('.overflow-y-auto').perfectScrollbar();

  // jquery ui datepicker
  $('.datepicker').datepicker({ dateFormat: 'yy-mm-dd' });


  // switch button
  $('.switch-button').switchButton();

  // peity charts
  $('.peity-bar').peity('bar');

  // highlight syntax highlighter
  $('pre code').each(function(i, block) {
    hljs.highlightBlock(block);
  });

  // Initialize tooltip
  $('[data-toggle="tooltip"]').tooltip();

  // Initialize popover
  $('[data-popover-color="default"]').popover();


 $('.dataTables, .table-dynamic').DataTable({
          responsive: true,
          language: {
            searchPlaceholder: 'Search...',
            sSearch: '',
            lengthMenu: '_MENU_ items/page',
          },
          buttons:['print']
        });
  // By default, Bootstrap doesn't auto close popover after appearing in the page
  // resulting other popover overlap each other. Doing this will auto dismiss a popover
  // when clicking anywhere outside of it
  $(document).on('click', function (e) {
    $('[data-toggle="popover"],[data-original-title]').each(function () {
        //the 'is' for buttons that trigger popups
        //the 'has' for icons within a button that triggers a popup
        if (!$(this).is(e.target) && $(this).has(e.target).length === 0 && $('.popover').has(e.target).length === 0) {
            (($(this).popover('hide').data('bs.popover')||{}).inState||{}).click = false  // fix for BS 3.3.6
        }

    });
  });



  // Select2 Initialize
  // Select2 without the search
  if($().select2) {
    $('.select2').select2({
      minimumResultsForSearch: Infinity
    });

    // Select2 by showing the search
    $('.select2-show-search').select2({
      minimumResultsForSearch: ''
    });

    // Select2 with tagging support
    $('.select2-tag').select2({
      tags: true,
      tokenSeparators: [',', ' ']
    });
  }


    $(".trigger").click(function(e){
          e.preventDefault();
          var $marginLefty = $('.sidepanel');
          $marginLefty.animate({
            marginRight: $marginLefty.outerWidth() 
          });

      });



    $(".smodal").livequery('click',function(e){
         
          var $link = $(this).data('link');
          $.get($link, function(data) {
            

            $('.modal').html(data);

          });
          

      });



      $(".triggerd").click(function(e){
          e.preventDefault();
          var $marginLefty = $('.slidepanel');
          var $marginTop = $('#page_content');

          $marginTop.slideUp('slow', function(){


          });


          $marginLefty.slideDown('slow');
          var $link = $(this).data('link');
          $.get($link, function(data) {
            

            $marginLefty.html(data);

          });
        

      });




       $('.closee').livequery('click', function() {
          
          var $marginLefty = $('.slidepanel');
          var $marginTop = $('#page_content');

          $marginLefty.slideUp('slow', function () {
            
            $marginTop.slideDown('slow');
            
          });


      });

      $('.close, .closed').livequery('click', function() {
          var $marginLefty = $('.sidepanel');
          $marginLefty.animate({
            marginRight: -$marginLefty.outerWidth() 
          });
          
      });



$('.mbasic').livequery('keyup', function (e) { 
          
          var qty = 1;
          var tot = 0;
          //var tmp = parseFloat($('.tot').val());;
                var value = 0;
                var $row = $(this).closest("tr");
                var sbonus = $row.find('.sbonus').val();
                var dpay = $row.find('.dpay').val();
                var total = $row.find('.total').val();
                


                //var amt = parseFloat($row.find('.amt').val());
                var basic = parseFloat($(this).val());
                value = Math.round(eval(Number(basic) / Number(30))); //* prin;
                tot = eval(Number(basic) + Number(sbonus)); 

                $row.find('.dpay').val(value);

                $row.find('.total').val(tot);
             
                       
});



$('.sbonus').livequery('keyup', function (e) { 
          
          var qty = 1;
          var tot = 0;
          //var tmp = parseFloat($('.tot').val());;
                var value = 0;
                var $row = $(this).closest("tr");
                var basic = $row.find('.mbasic').val();
                var dpay = $row.find('.dpay').val();
                var total = $row.find('.total').val();
                


                //var amt = parseFloat($row.find('.amt').val());
                var sbonus = parseFloat($(this).val());
                 
                tot = eval(Number(basic) + Number(sbonus)); 
 
                $row.find('.total').val(tot);
             
                       
});

    $(".add_drug").livequery('click', function() {
      var $link  = $(this).data('link');
      var $id = $(this).val(); 
      $.get($link+'/'+$id, function(data) {
        $('#invoice').append(data);
    });});
 $('.rate').livequery('change', function (e) { 
          
           
          //var tmp = parseFloat($('.tot').val());;
                var value = 0;
                var $row = $(this).closest("div.row");
                var qty = $row.find('.qty').val();
                //var amt = parseFloat($row.find('.amt').val());
                var price = parseFloat($(this).val());
                $row.find('.rt').val($(this).val());
                
                if(!qty)
                {
                  qty = Number(1);
                }
                else
                {
                  qty  = parseFloat($row.find('.qty').val());
                }

                if(!price)
                {
                  price = Number(0);
                }
                else
                {
                  price  = parseFloat($row.find('.rate').val());
                }
                value = Number(qty) * Number(price); //* prin;

                      $row.find('.total').val(value);
             
                        var total_amount = 0;
                        var tax = 0;
                        var tia = 0;
                       $('.total').each(function() 
                       {
                    //Get the value
                    if($(this).val()!='')
                    {
                      var am = $(this).val();
                      //console.log(am);
                      //if it's a number add it to the total
                      if (!isNaN(am)) {
                          total_amount += parseFloat(am);
                      }
                      else
                      {
                        var num = Number(am);
                  total_amount += parseFloat(num);

                      }
                  }
                });

                      tax = 0;//5 * total_amount / 100;
                      tia = tax + total_amount;     
                 //$('#stotal').val(total_amount);
                 // $('#tax').attr('value', tax);
                 // $('#tia').val(tia);
                 $('#gtotal').html("<h3>"+total_amount+"</h3>");
               $('.gtotal').val(total_amount);
                 



  });

    $('.qty').livequery('keyup', function (e) { 
          
          var qty = 1;
          var tot = 0;
          //var tmp = parseFloat($('.tot').val());;
                var value = 0;
                var $row = $(this).closest("div.row");
                var qty = $row.find('.qty').val();
                //var amt = parseFloat($row.find('.amt').val());
                var price = parseFloat($row.find('.rate').val());
                
                if(!qty)
                {
                  qty = Number(1);
                }
                else
                {
                  qty  = parseFloat($row.find('.qty').val());
                }

                if(!price)
                {
                  price = Number(0);
                }
                else
                {
                  price  = parseFloat($row.find('.rate').val());
                }
                value = Number(qty) * Number(price); //* prin;

                      $row.find('.total').val(value);
             
                        var total_amount = 0;
                        var tax = 0;
                        var tia = 0;
                       $('.total').each(function() 
                       {
                    //Get the value
                    if($(this).val()!='')
                    {
                      var am = $(this).val();
                      //console.log(am);
                      //if it's a number add it to the total
                      if (!isNaN(am)) {
                          total_amount += parseFloat(am);
                      }
                      else
                      {
                        var num = Number(am);
                  total_amount += parseFloat(num);

                      }
                  }
                });

                      tax = 0;//5 * total_amount / 100;
                      tia = tax + total_amount;     
                 //$('#stotal').val(total_amount);
                 // $('#tax').attr('value', tax);
                 // $('#tia').val(tia);
                 $('#gtotal').html("<h3>"+total_amount+"</h3>");
               $('.gtotal').val(total_amount);
                 



  });

$('#pca').livequery('keyup', function (e) { 

        var res = 0;
            var tia =  parseFloat(Number($('#tia').val()));

            var pca = parseFloat(Number($('#pca').val()));

            var tots = eval(tia + pca );


            $('#gtotal').html("<h6>"+tots+"</h6>");
            
 });

  $('.remove_line').livequery('click', function(e){
    e.preventDefault();
    //alert('Am');
            var total_amount = 0;
          var $row = $(this).closest("div.row");

          var amt = parseFloat($row.find('.total').val());

              if (!isNaN(amt)) {
                      total_amount -= parseFloat(am);
                  }
                

                 $('#stotal').val(total_amount);
  });





///////////////////////Add Client ////////////////////////////

 $('.new_client_btn').livequery('click', function(e){
              
        e.preventDefault();

        var page = $('#add_client_form').attr("action"); 
        var call_back = $('#add_client_form').data("link");

        var form_data = $('#add_client_form').serializeArray();

        //data.push({name: 'jQuery', value: 'Entry'});

        $('#status').html('<div class="label label-info">processing request...</div>');
        
             


      $.ajax({

          type: "POST",
          url: page,
          data: form_data,
          success: function(msg){
                

                // $('#status').html(msg);
                $('.modal').modal('hide');

                $.get(call_back, function(data) {
                  /*optional stuff to do after success */
                  $('.clients_list').append(data);
                });
              //$('#add_quick_course_form').find("input[type=text]").val("");
              
              //$('#add_staff_form').find("input[type=text]").val("");


            }
         });



      });



///////////////////////////////// Get Address /////////////////////////////////


$('#uploadForm').on('click',function(e) {  
      

    
  $('.statss').show();
  
  $('#uploadcontent').ajaxSubmit({ 
    target:   '.sr-only', 
    beforeSubmit: function() {
      $(".progress-bar").width('0%');
    },
    uploadProgress: function (event, position, total, percentComplete){ 
      $(".progress-bar").width(percentComplete + '%');
      $(".sr-only").html(percentComplete +' % Complete');
    },
    success:function (){
      $('.sr-only').html("<div class='alert alert-success'>Upload Complete</div>");
      $(".progress-bar").html("<div class='alert alert-success'>Upload Complete</div>")
    },
    resetForm: true,


  }); 
  $(".progress-bar").html('');
  return false; 

});



///////////////////////////////// Get Address /////////////////////////////////
$('.clients_list').change(function(event) {
  /* Act on the event */
  var $rel = $('.clients_list').data('link');

  var $vals = $(this).val();
  //alert($vals);
  $.get($rel+$vals, function(data) {
    /*optional stuff to do after success */
    $('.address').html(data);
  });
});
 

});
